> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a transaction

> This endpoint reads a transaction.



## OpenAPI

````yaml /openapi/api-production.yaml get /transactions/{id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Lumx API
  description: >-
    A cross-border banking API with instant settlements and unmatched liquidity,
    powered by stablecoins.
servers:
  - url: https://api.lumx.io
  - url: https://api-sandbox.lumx.io
security: []
paths:
  /transactions/{id}:
    get:
      tags:
        - Transactions
      summary: Read a transaction
      description: This endpoint reads a transaction.
      parameters:
        - name: id
          in: path
          description: Transaction's unique identifier.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Transaction successfully retrieved.
          content:
            application/json:
              examples:
                On-ramp - Awaiting funds:
                  $ref: '#/components/examples/TransactionOnRampAwaitingFundsExample'
                On-ramp - Success:
                  $ref: '#/components/examples/TransactionOnRampSuccessExample'
                Off-ramp - Transferring stablecoin:
                  $ref: >-
                    #/components/examples/TransactionOffRampTransferringStablecoinExample
                Off-ramp - Success:
                  $ref: '#/components/examples/TransactionOffRampSuccessExample'
                Transfer - Transferring stablecoin:
                  $ref: '#/components/examples/TransactionTransferProcessingExample'
                Transfer - Success:
                  $ref: '#/components/examples/TransactionTransferSuccessExample'
              schema:
                oneOf:
                  - type: object
                    title: On-ramp
                    properties:
                      id:
                        type: string
                        format: uuid
                        description: Transaction's unique identifier.
                        example: 123e4567-e89b-12d3-a456-426614174000
                      customerId:
                        type: string
                        description: Customer's unique identifier.
                        format: uuid
                        example: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                      type:
                        type: string
                        description: Transaction's type.
                        enum:
                          - ON_RAMP
                      request:
                        type: object
                        description: Transaction's request.
                      state:
                        type: object
                        description: Transaction's current state.
                        properties:
                          status:
                            type: string
                            description: State status.
                            enum:
                              - AWAITING_FUNDS
                              - TRANSFERRING_FIAT
                              - TRADING
                              - TRANSFERRING_STABLECOIN
                              - SUCCESS
                              - FAILED
                          payment:
                            type: object
                            description: State payment information.
                          receipt:
                            type: object
                            description: State receipt information.
                          error:
                            type: object
                            description: State error information.
                      createdAt:
                        type: string
                        format: date-time
                        description: Creation date and time (UTC).
                      updatedAt:
                        type: string
                        format: date-time
                        description: Last update date and time (UTC).
                  - type: object
                    title: Off-ramp
                    properties:
                      id:
                        type: string
                        format: uuid
                        description: Transaction's unique identifier.
                        example: 123e4567-e89b-12d3-a456-426614174000
                      customerId:
                        type: string
                        description: Customer's unique identifier.
                        format: uuid
                        example: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                      type:
                        type: string
                        description: Transaction's type.
                        enum:
                          - OFF_RAMP
                      request:
                        type: object
                        description: Transaction's request.
                      state:
                        type: object
                        description: Transaction's current state.
                        properties:
                          status:
                            type: string
                            description: State status.
                            enum:
                              - TRANSFERRING_STABLECOIN
                              - TRADING
                              - TRANSFERRING_FIAT
                              - SUCCESS
                              - FAILED
                          receipt:
                            type: object
                            description: State receipt information.
                          error:
                            type: object
                            description: State error information.
                      createdAt:
                        type: string
                        format: date-time
                        description: Creation date and time (UTC).
                      updatedAt:
                        type: string
                        format: date-time
                        description: Last update date and time (UTC).
                  - type: object
                    title: Transfer
                    properties:
                      id:
                        type: string
                        format: uuid
                        description: Transaction's unique identifier.
                        example: 123e4567-e89b-12d3-a456-426614174000
                      customerId:
                        type: string
                        description: Customer's unique identifier.
                        format: uuid
                        example: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                      type:
                        type: string
                        description: Transaction's type.
                        enum:
                          - TRANSFER
                      request:
                        type: object
                        description: Transaction's request.
                      state:
                        type: object
                        description: Transaction's current state.
                        properties:
                          status:
                            type: string
                            description: State status.
                            enum:
                              - TRANSFERRING_STABLECOIN
                              - SUCCESS
                              - FAILED
                          receipt:
                            type: object
                            description: State receipt information.
                          error:
                            type: object
                            description: State error information.
                      createdAt:
                        type: string
                        format: date-time
                        description: Creation date and time (UTC).
                      updatedAt:
                        type: string
                        format: date-time
                        description: Last update date and time (UTC).
      security:
        - apiKey: []
components:
  examples:
    TransactionOnRampAwaitingFundsExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174000
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          rail: PIX
          sourceCurrency: BRL
          sourceAmount: '10000.00'
          targetCurrency: USDC
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: PIX
            brCode: >-
              00020126580014br.gov.bcb.PIX0136123e4567-e89b-12d3-a456-4266141740005204000053039865802BR5915Test
              Merchant6009Sao Paulo62070503***63041234
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOnRampSuccessExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174002
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          rail: PIX
          sourceCurrency: BRL
          sourceAmount: '10000.00'
          targetCurrency: USDC
          purpose: PERSONAL_ACCOUNT
        state:
          status: SUCCESS
          payment:
            rail: PIX
            brCode: >-
              00020126580014br.gov.bcb.PIX0136123e4567-e89b-12d3-a456-4266141740005204000053039865802BR5915Test
              Merchant6009Sao Paulo62070503***63041234
          receipt:
            rate: '6.0066'
            sourceAmount: '1000.000000'
            targetAmount: '5925.55'
            sourceCurrency: USDC
            targetCurrency: BRL
            fees:
              currency: USDC
              lumx:
                rate: '10.000000'
                flatAmount: '1'
                totalAmount: '0.003255'
                currency: USDC
              partner:
                id: 123e4567-e89b-12d3-a456-426614174003
                rate: '0.000000'
                flatAmount: '0'
                totalAmount: '0.003255'
                currency: USDC
              transactionHash: '0x1234567890123456789012345678901234567890'
              blockExplorerUrl: >-
                https://amoy.polygonscan.com/tx/0x1234567890123456789012345678901234567890
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOffRampTransferringStablecoinExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174003
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: OFF_RAMP
        request:
          $ref: '#/components/examples/TransactionOffRampRequestExample/value'
        state:
          status: TRANSFERRING_STABLECOIN
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOffRampSuccessExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174003
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: OFF_RAMP
        request:
          $ref: '#/components/examples/TransactionOffRampRequestExample/value'
        state:
          status: SUCCESS
          receipt:
            rate: '6.0066'
            sourceAmount: '1000.00'
            targetAmount: '5925.55'
            sourceCurrency: USDC
            targetCurrency: BRL
            fees:
              currency: USDC
              lumx:
                rate: '10.000000'
                flatAmount: '1'
                totalAmount: '0.003255'
                currency: USDC
              partner:
                id: 123e4567-e89b-12d3-a456-426614174003
                rate: '0.000000'
                flatAmount: '1'
                totalAmount: '1.000000'
                currency: USDC
              transactionHash: '0x1234567890123456789012345678901234567890'
              blockExplorerUrl: >-
                https://amoy.polygonscan.com/tx/0x1234567890123456789012345678901234567890
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionTransferProcessingExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174004
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: TRANSFER
        request:
          currency: USDC
          from: 123e4567-e89b-12d3-a456-426614174001
          to: 123e4567-e89b-12d3-a456-426614174002
          amount: '1000.000000'
        state:
          status: TRANSFERRING_STABLECOIN
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionTransferSuccessExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174004
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: TRANSFER
        request:
          currency: USDC
          from: 123e4567-e89b-12d3-a456-426614174001
          to: 123e4567-e89b-12d3-a456-426614174002
          amount: '1000.000000'
        state:
          status: SUCCESS
          receipt:
            transactionHash: '0x1234567890123456789012345678901234567890'
            blockExplorerUrl: >-
              https://amoy.polygonscan.com/tx/0x1234567890123456789012345678901234567890
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Bearer authentication header on the format `Bearer <API_KEY>`.

````